<ion-card>
  <ion-card-header>
    <ion-card-title>
      {{entry?.title}}
    </ion-card-title>
    <ion-card-subtitle>
      {{entry?.date}}
    </ion-card-subtitle>
    <app-tag-box *ngFor="let tag of entry?.tags" [tag]=tag>
    </app-tag-box>
  </ion-card-header>
  <ion-card-content>
    <ion-list>
      <ion-item>
        <ion-label position="stacked">
          Amount:
        </ion-label>
        <ion-text>
          {{(entry?.amount / 100) | currency:"EUR":"symbol":"":"de-DE"}}
        </ion-text>
      </ion-item>
      <ion-item>
        <ion-label position="stacked">
          Description:
        </ion-label>
        <ion-text [innerHtml]='(descriptionText??"") | safeHtml'>
        </ion-text>
      </ion-item>
      <ion-item>
        <ion-label position="stacked">
          Category:
        </ion-label>
        <ion-text>
          {{entry?.categoryName}}
        </ion-text>
      </ion-item>
      <!--<ion-item>
        <ion-label position="stacked">
          Tags:
        </ion-label>
        <ion-text>
          {{entry?.tags}}
        </ion-text>
      </ion-item>-->
      <ion-item lines="none">
        <ion-button #deleteButton id="deleteButton_{{entry?.id}}" size="medium" slot="end" color="danger"
          (click)="deleteEntry();">
          <ion-icon name="trash" slot="start"></ion-icon> Delete
        </ion-button>
        <ion-button #editButton id="detailsButton_{{entry?.id}}" size="medium" slot="end" (click)="editEntry();">
          <ion-icon name="create" slot="start"></ion-icon> Edit
        </ion-button>
      </ion-item>
    </ion-list>


  </ion-card-content>
</ion-card>
